export class TeDeumMaladieSchema extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    const requiredInteger = { required: true, nullable: false, integer: true };
    const schema = {};

    schema.difficulteEndurance = new fields.StringField({required:true, initial:"routine"});
    schema.virulence = new fields.StringField({required: true, choices: ["aucune", "nausee", "inflammation", "elancement", "convulsion", "mort"], initial: "fatigue"});
    schema.vertus = new fields.HTMLField({ required: true, blank: true });
    schema.toxicite = new fields.HTMLField({ required: true, blank: true });
    schema.appliquee = new fields.BooleanField({initial: false}),

    schema.prix = new fields.NumberField({ ...requiredDouble, initial: 0, min: 0 });
    schema.monnaie = new fields.StringField({ required: true, blank: false, initial: "denier" });

    schema.description = new fields.HTMLField({ required: true, blank: true });

    return schema;
  }
}